import { Base58EncodedAddress } from '@solana/keys';
import { Base58EncodedBytes, Base58EncodedDataResponse, Base64EncodedDataResponse, Base64EncodedZStdCompressedDataResponse, Commitment, DataSlice, LamportsUnsafeBeyond2Pow53Minus1, Slot, U64UnsafeBeyond2Pow53Minus1 } from './common';
type GetAccountInfoApiResponseBase = Readonly<{
    context: Readonly<{
        slot: Slot;
    }>;
    value: Readonly<{
        executable: boolean;
        lamports: LamportsUnsafeBeyond2Pow53Minus1;
        owner: Base58EncodedAddress;
        rentEpoch: U64UnsafeBeyond2Pow53Minus1;
        space: U64UnsafeBeyond2Pow53Minus1;
    }> | null;
}>;
type GetAccountInfoApiResponseWithDefaultData = Readonly<{
    value: Readonly<{
        data: Base58EncodedBytes;
    }> | null;
}>;
type GetAccountInfoApiResponseWithBase58EncodedData_DEPRECATED = Readonly<{
    value: Readonly<{
        data: Base58EncodedDataResponse;
    }> | null;
}>;
type GetAccountInfoApiResponseWithBase64EncodedData = Readonly<{
    value: Readonly<{
        data: Base64EncodedDataResponse;
    }> | null;
}>;
type GetAccountInfoApiResponseWithBase64EncodedZStdCompressedData = Readonly<{
    value: Readonly<{
        data: Base64EncodedZStdCompressedDataResponse;
    }> | null;
}>;
type GetAccountInfoApiResponseWithJsonData = Readonly<{
    value: Readonly<{
        data: Readonly<{
            program: string;
            parsed: unknown;
            space: U64UnsafeBeyond2Pow53Minus1;
        }> | Base64EncodedDataResponse;
    }> | null;
}>;
type GetAccountInfoApiCommonConfig = Readonly<{
    commitment?: Commitment;
    minContextSlot?: Slot;
}>;
type GetAccountInfoApiSliceableCommonConfig = Readonly<{
    dataSlice?: DataSlice;
}>;
export interface GetAccountInfoApi {
    /**
     * Returns all information associated with the account of provided public key
     */
    getAccountInfo(address: Base58EncodedAddress, config: GetAccountInfoApiCommonConfig & GetAccountInfoApiSliceableCommonConfig & Readonly<{
        encoding: 'base64';
    }>): GetAccountInfoApiResponseBase & GetAccountInfoApiResponseWithBase64EncodedData;
    getAccountInfo(address: Base58EncodedAddress, config: GetAccountInfoApiCommonConfig & GetAccountInfoApiSliceableCommonConfig & Readonly<{
        encoding: 'base64+zstd';
    }>): GetAccountInfoApiResponseBase & GetAccountInfoApiResponseWithBase64EncodedZStdCompressedData;
    getAccountInfo(address: Base58EncodedAddress, config: GetAccountInfoApiCommonConfig & Readonly<{
        encoding: 'jsonParsed';
    }>): GetAccountInfoApiResponseBase & GetAccountInfoApiResponseWithJsonData;
    getAccountInfo(address: Base58EncodedAddress, config: GetAccountInfoApiCommonConfig & GetAccountInfoApiSliceableCommonConfig & Readonly<{
        encoding: 'base58';
    }>): GetAccountInfoApiResponseBase & GetAccountInfoApiResponseWithBase58EncodedData_DEPRECATED;
    getAccountInfo(address: Base58EncodedAddress, config?: GetAccountInfoApiCommonConfig): GetAccountInfoApiResponseBase & GetAccountInfoApiResponseWithDefaultData;
}
export {};
//# sourceMappingURL=getAccountInfo.d.ts.map